package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 陌生人员表(IdenPersonStranger)å®ä½ç±»
 *
 * @author makejava
 * @since 2022-01-11 15:44:04
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_person_stranger")
@ApiModel(value = "陌生人员表", description = "")
public class IdenPersonStranger implements Serializable {
    private static final long serialVersionUID = -60106599043831937L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("唯一生物学标识")
    @TableField("UID")
    private Long uid;


    @ApiModelProperty("人脸特征码")
    @TableField("FEAT_PTR")
    private String featPtr;


    @ApiModelProperty("图像")
    @TableField("IMAGE")
    private String image;


    @ApiModelProperty("出现小区id")
    @TableField("COMMUNITY_ID")
    private Long communityId;


    @ApiModelProperty("备注")
    @TableField("REMARK")
    private String remark;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
